org.apache.hadoop.mapred

## Class MapReduceBase

- java.lang.Object
- - org.apache.hadoop.mapred.MapReduceBase

- All Implemented Interfaces:
    Closeable, AutoCloseable, JobConfigurable
  Direct Known Subclasses:
    IdentityMapper, IdentityReducer, InverseMapper, LongSumReducer, RegexMapper, TokenCountMapper

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class MapReduceBase
      extends Object
      implements Closeable, JobConfigurable

  Base class for `Mapper` and `Reducer` implementations.

  Provides default no-op implementations for a few methods, most non-trivial applications need to override some of them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapReduceBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Default implementation that does nothing.
    `void` | `configure(JobConf job)` Default implementation that does nothing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapReduceBase

          public MapReduceBase()

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Default implementation that does nothing.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### configure

          public void configure(JobConf job)

      Default implementation that does nothing.
      Specified by:
        `configure` in interface `JobConfigurable`
      Parameters:
        `job` - the configuration

Copyright © 2022 Apache Software Foundation. All rights reserved.